unit u_main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  ExtDlgs, StdCtrls, ComCtrls, Spin, FPimage;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    ColorButton1: TColorButton;
    Image1: TImage;
    OpenPictureDialog1: TOpenPictureDialog;
    Panel1: TPanel;
    ScrollBox1: TScrollBox;
    procedure ColorButton1ColorChanged(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    procedure ShowText(a_file : string);
  public

  end;

var
  Form1: TForm1;

implementation

uses
  ImagingTypes, Imaging, ImagingClasses, ImagingComponents,
  ImagingCanvases, ImagingBinary, ImagingUtility;

var
  FBitmap : TImagingBitmap;
  FImage  : TMultiImage;
  fname : string;

{$R *.lfm}

{ TForm1 }


procedure TForm1.Button1Click(Sender: TObject);
begin
  if OpenPictureDialog1.Execute then
  begin
    fname := OpenPictureDialog1.FileName;
    ShowText(OpenPictureDialog1.FileName);
  end;
end;

procedure TForm1.ShowText(a_file : string);
var
  ts:TTextStyle;
  ACanvas: TImagingCanvas;
begin
  FImage.LoadFromFile(a_file);
  FImage.ConvertImages(ifA8R8G8B8);
  With FBitmap do
  begin
    Canvas.Lock;
    AssignFromImage(FImage);
    ts := FBitmap.Canvas.TextStyle;
    ts.Alignment :=taLeftJustify;
    ts.Layout :=tlTop;

    Canvas.Font.Size := 80;
    Canvas.Font.Quality := fqCleartypeNatural;
    Canvas.Font.Color := ColorButton1.ButtonColor;
    Canvas.TextRect(Rect(0,0, Width, Height),0, 0,'Проверка', ts);
    Canvas.Unlock;
    AssignToImage(FImage);
  end;
  ACanvas := TImagingCanvas.CreateForImage(FImage);
  ACanvas.FillChannel(ChannelAlpha, 0);
  ACanvas.Free;
  Image1.Picture.Graphic.Assign(FImage);
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
  FImage := TMultiImage.Create;
  FBitmap := TImagingBitmap.Create;
  Image1.Picture.Bitmap := FBitmap;
end;

procedure TForm1.ColorButton1ColorChanged(Sender: TObject);
begin
  if fname <> '' then
    ShowText(fname);
end;

end.

